<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class overrides Kohana's 404 Exception
 *
 * @package    OSB
 * @category   Exceptions
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class HTTP_Exception_404 extends Kohana_HTTP_Exception_404 {
	public function get_response() {
		$response = Response::factory();
		$response->status($this->_code);

		$view = View::factory('errors/404');
		$view->message = $this->getMessage();
 
		$response->body($view->render());
 
		return $response;
	}
}
?>
